/* ---------------------------------------------------------- */
/* @(#) KVD.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Citrix Virtual Desktop Infrastructure Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2018 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_site_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_site_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_site_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_site_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_App_Instance_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_App_Instance_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Application_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Application_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Catalog_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Catalog_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Conn_Log_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Conn_Log_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Connection_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Connection_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Deliv_Group_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Deliv_Group_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Hypervisor_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Hypervisor_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Load_Index_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Load_Index_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Machine_Log_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Machine_Log_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Machine_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Machine_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_Session_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_Session_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_OData_User_Fail"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_OData_User_Fail"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_Data_Collection_Not_Started"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_Data_Collection_Not_Started"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_vda_machine_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_vda_machine_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_vda_machine_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_vda_machine_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_ddc_machine_critical_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_ddc_machine_critical_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*BMedora_KVDXDS"
 AND OBJNAME = "KVD_ddc_machine_warning_event"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KVD_ddc_machine_warning_event"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

